(function ($) {
    $.block_categoryimage_default = function (element, options) {
        var defaults = {
            class_name_drawerel:""
        }
        var plugin = this;
        plugin.settings = {}
        var $element = $(element),
            element = element;

        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
        };
        plugin.example_function = function () {
        };
        plugin.init();
    }

    $.fn.block_categoryimage_default = function (options) {

        return this.each(function () {

            if (undefined == $(this).data('block_categoryimage_default')) {
                var plugin = new $.block_categoryimage_default(this, options);
                $(this).data('block_categoryimage_default', plugin);
            }
        });
    }
})(jQuery);
